summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2014-02-12 00:03:21 +0000
committerMike Frysinger <vapier@gentoo.org>2014-02-12 00:03:21 +0000
commitcd463625c4b72669fce8a0feda83d581053582c4 (patch)
tree962527c0cc3d404cefda580e6262761cb70df546 /eclass
parentVersion bump. Ebuild by Arfrever. (diff)
downloadgentoo-2-cd463625c4b72669fce8a0feda83d581053582c4.tar.gz
gentoo-2-cd463625c4b72669fce8a0feda83d581053582c4.tar.bz2
gentoo-2-cd463625c4b72669fce8a0feda83d581053582c4.zip
add sanity check on code execution in $T to weed out bad mount/kernel settings #500928
Diffstat (limited to 'eclass')
-rw-r--r--eclass/apache-2.eclass9
1 files changed, 8 insertions, 1 deletions
diff --git a/eclass/apache-2.eclass b/eclass/apache-2.eclass
index f5da77b1683e..9f87c6a0eabf 100644
--- a/eclass/apache-2.eclass
+++ b/eclass/apache-2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/apache-2.eclass,v 1.34 2014/01/31 08:29:39 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/apache-2.eclass,v 1.35 2014/02/12 00:03:21 vapier Exp $
# @ECLASS: apache-2.eclass
# @MAINTAINER:
@@ -441,6 +441,13 @@ apache-2_src_prepare() {
apache-2_src_configure() {
tc-export PKG_CONFIG
+ # Sanity check in case people have bad mounts/TPE settings. #500928
+ if ! "${T}"/pcre-config --help >/dev/null ; then
+ eerror "Could not execute ${T}/pcre-config; do you have bad mount"
+ eerror "permissions in ${T} or have TPE turned on in your kernel?"
+ die "check your runtime settings #500928"
+ fi
+
# Instead of filtering --as-needed (bug #128505), append --no-as-needed
# Thanks to Harald van Dijk
append-ldflags $(no-as-needed)